Skip to main content

Delete Storage Integration (V2)

This operation deletes a bucket storage integration. The project scope is resolved from the integration ID.

DELETE/v2/storageIntegrations/{integrationId}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
integrationIdstringpathrequired

The ID of the storage integration.

Example Value: integ-xxxxxxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export integrationId="integ-xxxxxxxxxxxxxxxxxxx"

curl --request DELETE \
--url "${BASE_URL}/v2/storageIntegrations/${integrationId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json

A success response.

codeinteger

Response code.

Example Value: 0
dataobject
integrationIdstring

The ID of the storage integration.

namestring

The name of the storage integration.

A failure response.

codeinteger

Response code.

Example Value: 1800
messagestring

Error message.

Example Value: User hasn't authenticated
{
"code": 0,
"data": {
"integrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"name": "analytics-s3"
}
}
{
"code": 1800,
"message": "User hasn't authenticated"
}